$max-menu-width: 200px;
$min-menu-width: 56px;
$space: 20px;

:host {
  display: block;
  height: 100%;

  .sidenav-container {
    height: calc(100% - 68px);

    .container {
      position: relative;
      margin-left: 0 !important;
      transition: margin-left 250ms;
      z-index: 2;

      &.visible {
        margin-left: $min-menu-width !important;

        &.show {
          margin-left: $max-menu-width !important;
        }
      }

      .content {
        padding: $space;
        height: calc(100% - #{2*$space});
        position: relative;
        overflow: auto;
      }
    }

    ::ng-deep mat-sidenav {
      .mat-drawer-inner-container {
        overflow: hidden;
      }
    }

    .sidenav {
      width: 0;
      transition: width 250ms;

      &.visible {
        width: $min-menu-width;
        &.show {
          width: $max-menu-width;
        }
      }

      .menu {
        display: flex;
        flex-flow: column;
        height: 100%;

        .page {
          flex-grow: 2;
        }

        .command {
          text-align: right;

          .toggle {
            width: auto;
            margin: 0;
            padding: 0;
            min-width: $min-menu-width - 2px;
          }
        }
      }

      .mat-toolbar {
        background: inherit;
      }

      mat-nav-list {
        padding-top: 0;
      }
    }
  }
}
